Subject: [bug#30885] Submitting Patch File for r-catdap Package Description for CRAN package

From: julien lepiller <[email-masked]>
Date: Thu, 22 Mar 2018 14:56:06 +0100

Hi Sahithi,

Le 2018-03-22 14:35, Sahithi Yarlagadda a écrit :
> Hi
> 
> I made changes to gnu/packages/cran.scm file and tried to build by
> cloning the source and then
> 
> ./bootstrap
> 
> ./configure --localstatedir=/var
> 
> make

Well done :)

> 
> and then did this
> 
> ./pre-inst-env guix build r-catdap
> 
> Got this error while building the package
> 
> starting phase `install'
> * installing *source* package ?catdap? ...
> ** package ?catdap? successfully unpacked and MD5 sums checked
> ** libs
> gfortran   -fpic  -g -O2  -c catdap1f.f -o catdap1f.o
> /gnu/store/icz3hd36aqpjz5slyp4hhr8wsfbgiml1-bash-minimal-4.4.12/bin/bash:
> gfortran: command not found
   ^^^^
This error comes from the build itself and tells you that gfortran is 
not
present in the build environment. Although I don't know why the error
happens only in the install phase, you probably need to add gfortran in
the list of native-inputs (native-inputs because gfortran is a compiler
and is (I think) not required at runtime).

> make: ***
> [/gnu/store/af15vbzfw211mh278h3n2lbfrpxkps14-r-minimal-3.4.3/lib/R/etc/Makeconf:182:
> catdap1f.o] Error 127
> ERROR: compilation failed for package ?catdap?
> * removing
> ?/gnu/store/amhlp36iaihivvcb1qddrbm8jfn55nyw-r-catdap-1.3.4/site-library/catdap?
> phase `install' failed after 0.4 seconds
> builder for
> `/gnu/store/v5l6i88p5xq8czgcnigwzwkcg9gz7qka-r-catdap-1.3.4.drv' failed
> with exit code 1
> @ build-failed
> /gnu/store/v5l6i88p5xq8czgcnigwzwkcg9gz7qka-r-catdap-1.3.4.drv - 1
> builder for
> `/gnu/store/v5l6i88p5xq8czgcnigwzwkcg9gz7qka-r-catdap-1.3.4.drv' failed
> with exit code 1
> guix build: error: build failed: build of
> `/gnu/store/v5l6i88p5xq8czgcnigwzwkcg9gz7qka-r-catdap-1.3.4.drv' failed
> 
> Please help me resolve this.
> 
> 
> On Thursday 22 March 2018 02:38 AM, Ricardo Wurmus wrote:
>> Hi Sahithi,
>> 
>>> I resending the patch. Bear with my mistakes, im learning things.
>>> Hopefully Ill make sure my next patch would be perfect.
>> Thank you for persevering :)
>> 
>> This looks a lot better, but I’ve just tried to build it and failed.
>> Have you tried building the package?
>> 
>> Looking at the error message can you figure out what might be wrong
>> here?
>> 
>> --
>> Ricardo
>> 
>> GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
>> https://elephly.net
>> 
>> 
>>